PHP support in 11.1?

Has anyone been able to get PHP support to work with EAP 11.1?  

Previously I've been able to unpack the PHP plugins from the web ide and drop them into intellij and get back php support.  That doesn't seem to be working this time around, which is a bummer since I'd like to be able to use 11.1 to edit php code without having to switch to the older versions.  It's really unfortunate that this plugin has been unbundled in recent EAP releases given all the other languages that are still supported in the EAP.

4 comments
Comment actions Permalink

Just wanted to note that none of the languages for which we have separate IDEs (Ruby, Python and now PHP) are bundled with IntelliJ IDEA.
We'll definitely release an updated PHP plugin together with the final 11.1 release.

0
Comment actions Permalink

It looks like the latest version of the PHP plugin breaks CodeCoverage in 11.1EAP so that you cannot even create run configs ... or infact look at existing ones. Once uninstalled, all is well again.

I have reported this with the builtin exception reporter.

0
Comment actions Permalink

Please be more specific when reporting problems - plugin is updated weekly so "latest version" is way too ambigous.

Anyway that particular issue was specifically addressed in v 114.283

0
Comment actions Permalink

Just rechecked.

With IDEA 116.32 & PHP plugin 114.283 all is well again.

0

Please sign in to leave a comment.